WriteNowTextInternal::TableData Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
WriteNowTextInternal::TableData Struct Reference

Internal: the table of a WriteNowText. More...

## Public Member Functions
| TableData ()
| constructor More...
void | updateCell (MWAWCell &cell) const
| update a cell More...

## Public Attributes
int | m_type
| the type More...
MWAWBox2i | m_box
| the bdbox More...
MWAWColor | m_color
| the background color More...
int | m_flags [4]
| some unknown flags : T, R, B, L More...
int | m_values [10]
| some unknown values More...
std::string | m_error
| the parsing errors More...

## Friends
std::ostream & | operator<< (std::ostream &o, TableData const &table)
| operator<< More...

## Detailed Description

Internal: the table of a WriteNowText.

## Constructor & Destructor Documentation

WriteNowTextInternal::TableData::TableData | ( |  | ) |
| inline

constructor

## Member Function Documentation

void WriteNowTextInternal::TableData::updateCell | ( | MWAWCell & | cell | ) | const
| inline

update a cell

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | TableData const & | table
| ) |  |
| friend

operator<<

## Member Data Documentation

MWAWBox2i WriteNowTextInternal::TableData::m_box

the bdbox

Referenced by updateCell().

MWAWColor WriteNowTextInternal::TableData::m_color

the background color

Referenced by WriteNowText::readTable(), and updateCell().

std::string WriteNowTextInternal::TableData::m_error

the parsing errors

int WriteNowTextInternal::TableData::m_flags[4]

some unknown flags : T, R, B, L

Referenced by TableData(), and updateCell().

int WriteNowTextInternal::TableData::m_type

the type

Referenced by WriteNowText::readTable().

int WriteNowTextInternal::TableData::m_values[10]

some unknown values

Referenced by WriteNowText::readTable(), and TableData().

The documentation for this struct was generated from the following file:

- WriteNowText.cxx